package main

import (
	"cicv-data-closedloop/pjisuv_msgs"
	"fmt"
)

func Topic() string {
	return "/fault_info"
}

// Label todo 禁止存在下划线_
func Label() string {
	return "errorcode"
}

func Rule(data *pjisuv_msgs.FaultVec) string {
	return ""
	//errorcodeStr := ""
	//faultFlag := false
	//faultList := data.InfoVec
	//if len(faultList) > 0 {
	//	for _, fault := range faultList {
	//		errorcodeStr = errorcodeStr + toString(fault.ErrorCode)
	//		faultFlag = true
	//	}
	//}
	//if faultFlag {
	//	return "errorcode"
	//}
	//return ""
}

func toString(value interface{}) string {
	return fmt.Sprintf("%v", value)
}
